Name: H5Tcommit
Signature:
  herr_t `H5Tcommit`(hid_t `loc_id`, const char * `name`, hid_t `type` )
Purpose:
  Commits a transient datatype to a file, creating a new named datatype.
Description:
  `H5Tcommit` commits a transient datatype (not immutable) to a file, turned it into a named datatype. The `loc_id` is either a file or group identifier which, when combined with `name`, refers to a new named datatype.

  As is the case for any object in a group, the length of the name of a named datatype is not limited.

Parameters:

hid_t `loc_id` | IN: A file or group identifier.
const char * `name` | IN: A datatype name.
hid_t `type` | IN: A datatype identifier.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5tcommit_f

      SUBROUTINE h5tcommit_f(loc_id, name, type_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id  ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: name  ! Datatype name within file or group
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5tcommit_f